services:

  website:
    build: .
    image: alphabreed:v1.0.2
    restart: unless-stopped
    networks:
      - frontend

  pocketbase:
    image: adrianmusante/pocketbase:0.35
    restart: unless-stopped
    environment:
      - POCKETBASE_DEBUG=false
      - POCKETBASE_ADMIN_EMAIL=jazzman@alphabreed.com
      - POCKETBASE_ADMIN_PASSWORD=knudd3lwup5
    volumes:
      - pocketbase_data:/pocketbase
    networks:
      - frontend

  gokapi:
    image: f0rc3/gokapi:v2.1.0
    restart: unless-stopped
    environment:
      - TZ=Europe/Berlin
    volumes:
      - gokapi_data:/app/data
      - gokapi_config:/app/config
    networks:
      - frontend

  ddns_updater:
    image: cloubit/ddns-updater:v1.1
    environment:
      - APIURL_BASE=https://ydns.io/api/v1/update/?host=
      - DDNS_USER=1CDM7jVExGxN5BIVkDTn
      - DDNS_TOKEN=6K8Z831KCRAV28YWUPA6QSCMZICY0Z
      - DDOMAIN1=alphabreed.ydns.eu
      - ENABLE_IPV4=true
      - UPDATE_DELAY=1800
    restart: unless-stopped

volumes:
  pocketbase_data:
  gokapi_data:
  gokapi_config:

networks:
  frontend:
    name: frontend
    external: true
